所需权限:
project:doc_list · instance路径参数
string
必填
项目 ID
查询参数
integer
默认值:"1"
页码(从 1 开始)
integer
默认值:"20"
每页数量(最大 100)
响应
object
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl -X GET 'https://app.memorylake.ai/openapi/memorylake/api/v1/projects/proj-a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6/documents?page=1&size=20' \
-H 'Authorization: Bearer sk_xxxxxx'
{
"success": true,
"data": {
"items": [
{
"id": "doc-8f86f326d4eb4f7a88cc51c5774cae56",
"name": "report.pdf",
"status": "okay",
"drive_item_id": "sc-4d2beb72e9af4b01:inode-926ead7cac284666",
"created_at": "2024-01-15T10:30:00Z"
}
],
"total": 1,
"page": 1,
"size": 20,
"total_pages": 1
}
}
返回项目中文档的分页列表
GET /openapi/memorylake/api/v1/projects/{id}/documents
project:doc_list · instancecurl -X GET 'https://app.memorylake.ai/openapi/memorylake/api/v1/projects/proj-a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6/documents?page=1&size=20' \
-H 'Authorization: Bearer sk_xxxxxx'
{
"success": true,
"data": {
"items": [
{
"id": "doc-8f86f326d4eb4f7a88cc51c5774cae56",
"name": "report.pdf",
"status": "okay",
"drive_item_id": "sc-4d2beb72e9af4b01:inode-926ead7cac284666",
"created_at": "2024-01-15T10:30:00Z"
}
],
"total": 1,
"page": 1,
"size": 20,
"total_pages": 1
}
}